Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.manager
Class PortalServlet.PersistenceManagerWorker

    java.lang.Object
      com.bea.netuix.servlets.manager.PortalServlet.PersistenceManagerWorker

All Implemented Interfaces:
  weblogic.kernel.ExecuteRequest

Enclosing class:
  PortalServlet

protected final class PortalServlet.PersistenceManagerWorker
extends Object
implements weblogic.kernel.ExecuteRequest

Field Summary
`protected ClassLoader` | `mainThreadClassLoader`
`protected Subject` | `mainThreadSubject`

Constructor Summary
`protected` | `PortalServlet.PersistenceManagerWorker(com.bea.netuix.servlets.repository.AbstractFilePersistenceManager manager, String baseUri, String webAppName, String[] entries)`

Method Summary
`void` | `execute(weblogic.kernel.ExecuteThread executeThread)`
`protected void` | `gatherThreadContext()` Gathers current ExecuteThread context objects that are needed in the ExecuteThread that will be used to service the WalkerWorker execute
`protected void` | `transferThreadContext(Thread thd)` Transfers context objects gathered from the main ExecuteThread into the ExecuteThread servicing the WalkerWorker

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainThreadClassLoader

    protected ClassLoader mainThreadClassLoader

### mainThreadSubject

    protected Subject mainThreadSubject

Constructor Detail

### PortalServlet.PersistenceManagerWorker

    protected PortalServlet.PersistenceManagerWorker(com.bea.netuix.servlets.repository.AbstractFilePersistenceManager manager,
                                                     String baseUri,
                                                     String webAppName,
                                                     String[] entries)

Method Detail

### gatherThreadContext

    protected void gatherThreadContext()

  Gathers current ExecuteThread context objects that are needed in the ExecuteThread that will be used to service the WalkerWorker execute

### transferThreadContext

    protected void transferThreadContext(Thread thd)

  Transfers context objects gathered from the main ExecuteThread into the ExecuteThread servicing the WalkerWorker

### execute

    public void execute(weblogic.kernel.ExecuteThread executeThread)
                 throws Exception

  Specified by:
    `execute` in interface `weblogic.kernel.ExecuteRequest`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved